#! /usr/local/bin/python -O


import sys
from socket import *


PORT = 8888
BUFSIZE = 1024

def main():
   # get port
   if len(sys.argv) > 1:
      port = int(eval(sys.argv[1]))
   else:
      port = PORT

   # make socket
   s = socket(AF_INET, SOCK_STREAM)
   s.setsockopt(SOL_SOCKET, SO_REUSEADDR, 1)
   s.bind(('', port))
   s.listen(1)

   print "Waiting..."
   conn = None

   try:
      # wait
      conn, (remotehost, remoteport) = s.accept()

      # connected
      print 'Connected by', remotehost, remoteport

      # get data
      request = ''

      while 1:
         data = conn.recv(BUFSIZE)
         if not data:
            break
         request = request + data

      # store to file
      outfile = open("request.txt", 'w')
      outfile.write(request)
      outfile.close()

   finally:
      if conn: conn.close()
      s.close()

   print "Done."


main()
